<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#testPicTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: false,
               //显示 内容列下拉框
    	       showColumns: false,
    	       //显示到处按钮
    	       showExport: false,
    	       //显示切换分页按钮
    	       showPaginationSwitch: false,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/sg/managementCenter/scaleDetails/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
			   	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
               	return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
               },
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
					$("#search-collapse").slideToggle();
				},
               columns: [
				   {
					   checkbox: true
				   },
               	{
					   field: 'projectReserveId',
						width:150,
					   title: '储备项目编号',
				   },{
					   field: 'projectName',
					   width:100,
					   title: '项目名称',
				   },
				   {
					   field: 'switchCabinet',
					   width:100,
					   title: '开关柜',
				   }, {
					   field: 'overheadLines',
					   width:100,
					   title: '架空线路'
				   }, {
					   field: 'powerCable',
					   width:100,
					   title: '电力电缆',
				   }, {
					   field: 'cableBox',
					   width:150,
					   title: '10千伏电缆分接箱',
				   }, {
					   field: 'ringCare',
					   width:100,
					   title: '环网箱/室',
				   }, {
					   field: 'switchYard',
					   width:100,
					   title: '开关站',
				   }, {
					   field: 'postSwitch',
					   width:100,
					   title: '柱上开关',
				   }, {
					   field: 'distributionKva',
					   width:100,
					   title: '配电室kva',
				   }, {
					   field: 'distribution',
					   width:100,
					   title: '配电室',
				   }, {
					   field: 'boxTransformerKva',
					   width:100,
					   title: '箱变kva',
				   }, {
					   field: 'boxTransformer',
					   width:100,
					   title: '箱变',
				   }, {
					   field: 'disTransformerKva',
					   width:150,
					   title: '配电变压器kva',
				   }, {
					   field: 'disTransformer',
					   width:100,
					   title: '配电变压器',
				   }, {
					   field: 'lowVoltageLine',
					   width:100,
					   title: '低压线路',
				   }, {
					   field: 'lowVoltageCable',
					   width:100,
					   title: '低压电缆',
				   }, {
					   field: 'lowDistributionBox',
					   width:100,
					   title: '低压电缆分接箱',
				   }, {
					   field: 'lowBoxCabinet',
					   width:150,
					   title: '低压配电箱（柜）',
				   }, {
					   field: 'distributionTerminal',
					   width:150,
					   title: '配电自动化终端',
				   }, {
					   field: 'cableChannel',
					   width:100,
					   title: '电缆通道',
				   }
			   ]
		});


	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端


		  $('#testPicTable').bootstrapTable("toggleView");
		}

	  $('#testPicTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#testPicTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#testPicTable').bootstrapTable('getSelections').length!=1);
        });

	 $("#export").click(function(){//导出甲供材清册
		 jp.downloadFile('${ctx}/sg/managementCenter/scaleDetails/export?ids=' + getIdSelections());
	  });

	$("#exportFiles").click(function(){//项目导出打包文件
		jp.downloadFile('${ctx}/sg/reserveProcess/exportFiles?ids=' + getIdSelections());
	});


	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#testPicTable').bootstrapTable('refresh');
		});

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#testPicTable').bootstrapTable('refresh');
	});




	});

  function getIdSelections() {
        return $.map($("#testPicTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }

  function deleteAll(){
		jp.confirm('确认要删除该图片管理记录吗？', function(){
			jp.loading();
			jp.get("${ctx}/managementcenter/upload/delete?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#testPicTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})

		})
  }

    //刷新列表
  function refresh(){
  	$('#testPicTable').bootstrapTable('refresh');
  }

   function add(){
	  jp.openSaveDialog('新增图片管理', "${ctx}/managementcenter/upload/list",'800px', '500px');
  }



   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑图片管理', "${ctx}/managementcenter/upload/imagesForm?id=" + id, '800px', '500px');
  }

 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
             id = getIdSelections();
      }
        jp.openViewDialog('查看图片管理', "${ctx}/managementcenter/upload/imagesForm?id=" + id, '800px', '500px');
 }



</script>